package cn.estsh.i3plus.ext.mes.pcn.api.busi;

import cn.estsh.i3plus.ext.mes.pcn.pojo.model.SxThirdPartyDbCollectDataModel;
import io.swagger.annotations.ApiOperation;

/**
 * @Author: wangjie
 * @CreateDate: 2021/01/18 11:22 上午
 * @Description:
 **/
public interface ISxThirdPartyDbParitySyncDispatchService {

    /**
     * 第三方DB对等同步
     * @param collect 参数
     * @param builderService SQL建造器
     */
    @ApiOperation(value = "第三方DB对等同步", notes = "第三方DB对等同步")
    void exec(SxThirdPartyDbCollectDataModel collect, ISxThirdPartyDbParitySyncSqlBuilderService builderService);

}
